//---------------------------------------------------------------------------
#ifndef charmapH
#define charmapH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
//---------------------------------------------------------------------------
class TCharmap : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
    TStringGrid *CharGrid;
    TLabel *SelectedFontLabel;
    TLabel *SelectedCharLabel;
    TLabel *SelectedCharacterID;
    TLabel *SelectedCharacter;
    TComboBox *SelectedFont;
    TButton *BtnExit;
    TButton *BtnAdd;
    TButton *BtnClear;
    TLabel *SelectionAllLabel;
    TButton *BtnCopy;
    TEdit *SelectionAll;
    void __fastcall SelectedFontChange(TObject *Sender);
    void __fastcall CharGridSelectCell(TObject *Sender, int ACol, int ARow, bool &CanSelect);
    void __fastcall SelectCharacter(int Which);
    void __fastcall BtnClearClick(TObject *Sender);
    void __fastcall BtnExitClick(TObject *Sender);
    void __fastcall BtnAddClick(TObject *Sender);
    void __fastcall BtnCopyClick(TObject *Sender);
private:	// Anwender-Deklarationen
public:		// Anwender-Deklarationen
    __fastcall TCharmap(TComponent* Owner);
    AnsiString __fastcall Execute();

};
//---------------------------------------------------------------------------
extern PACKAGE TCharmap *Charmap;
//---------------------------------------------------------------------------
#endif
